Package: org.codehaus.groovy.runtime

## [Java] Class WritableFile

- org.codehaus.groovy.runtime.WritableFile

- All Implemented Interfaces and Traits:
    Writable

      public class WritableFile
      extends File

  A Writable File.

- - Inherited fields
    Fields inherited from class | Fields
    --- | ---
    `class File` | `separatorChar, separator, pathSeparatorChar, pathSeparator`

  - ### Constructor Summary

    Constructors
    Constructor and description
    `WritableFile (File delegate)`
    `WritableFile (File delegate, String encoding)`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `Writer` | `writeTo(Writer out)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---

    `class File`

    `getName, equals, length, toString, hashCode, isHidden, compareTo, compareTo, list, list, isAbsolute, getParent, delete, setReadOnly, canRead, getPath, toURI, toURL, getAbsolutePath, exists, createNewFile, renameTo, isDirectory, getCanonicalPath, getAbsoluteFile, mkdir, getCanonicalFile, getParentFile, mkdirs, setWritable, setWritable, setReadable, setReadable, setExecutable, setExecutable, listRoots, createTempFile, createTempFile, canWrite, isFile, lastModified, deleteOnExit, listFiles, listFiles, listFiles, setLastModified, canExecute, getTotalSpace, getFreeSpace, getUsableSpace, toPath, getClass, notify, notifyAll, wait, wait, wait`

    `class Object` | `equals, toString, hashCode, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### public WritableFile(File delegate)

    - #### public WritableFile(File delegate, String encoding)

  - ### Method Detail

    - #### public Writer writeTo(Writer out)